# Fish Tank Monitor
An arduino project to monitor the quality of the fish tank and manage the lighting.

Originally started off as a way to just monitor the pH and temperature, but is evolving in to managing the lighting and simulating weather conditions. A bit more than a monitor (I'll rename the project eventually).

After checking out please run `git update-index --assume-unchanged openWeatherMapApiKey.h` to make sure you don't check in the API key.

## Ideas

* Syncronise time with NTP. ✔
* Get runrise and sunset data from http://api.sunrise-sunset.org/json?lat=20.548103&lng=96.916835&formatted=0 and turn on and off according to that. (Will need to accomodate for +6.5 hour difference as times are in UTC) ✔
* Syncronise with weather from Lake Inlé (fish's origin)
    * Dim for cloudy weather ✔
    * Flash for lightning ✔
    * Implement rain (pump water through spray bar across tank?)