#ifndef Config
#define Config

/*-----------------+
| Network settings |
+-----------------*/
#define HOSTNAME "Unconfigured_Aquarium"
#define NETWORK_NAME "GCHQ Surveillance Van"
#define PASSWORD "cocklol."
#define MQTT_SERVER "192.168.1.3"
#define SOLAR_EVENT_URL "http://api.sunrise-sunset.org/json?lat=%s&lng=%s&formatted=0"
#define WEATHER_URL "http://api.openweathermap.org/data/2.5/weather?lat=%s&lon=%s&appid=%s"

/*------------------+
| Lighting settings |
+------------------*/
#define LED_USE_STRIP
#define LED_COUNT 41
#define LED_USE_PWM
#define CLOUD_COVER_LIMIT 50.0 // percent;

/*----------------+
| Pin allocations |
+----------------*/
#define TEMPERATURE_PIN D5
#define WHITE_PIN D2
#define RGB_PIN D3
#define R_PIN D8
#define G_PIN D7
#define B_PIN D6

/*---------------------------+
| Location and time settings |
+---------------------------*/
#define LATITUDE "0"
#define LONGITUDE "0"
#define TIMEZONE_OFFSET 0
#define NTP_POOL "uk.pool.ntp.org"

/*---------------------+
| Config override file |
+---------------------*/
#include "configs/60L.cpp"

#endif