#ifndef Sensors_h
#define Sensors_h
#include <Wire.h>
#include <OneWire.h>
#include <DallasTemperature.h>
#include <PubSubClient.h>
#include "Networking.h"

class Sensors {
	int _temperaturePin;
	DallasTemperature* _ds18b20;
	Networking *_networking;

  public:
	Sensors(int temperaturePin, Networking *networking, DallasTemperature* ds18b20);
	void setup();
	const String getTemperature();
};
#endif